Index: uspace/srv/net/tl/tcp/tcp.c
===================================================================
--- uspace/srv/net/tl/tcp/tcp.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/tl/tcp/tcp.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -2117,5 +2132,5 @@
 	}
 
-	// get the next received packet
+	/* Get the next received packet */
 	packet_id = dyn_fifo_value(&socket->received);
 	if (packet_id < 0)
@@ -2126,19 +2141,19 @@
 		return rc;
 
-	// reply the packets
+	/* Reply the packets */
 	rc = socket_reply_packets(packet, &length);
 	if (rc != EOK)
 		return rc;
 
-	// release the packet
+	/* Release the packet */
 	dyn_fifo_pop(&socket->received);
 	pq_release_remote(tcp_globals.net_phone, packet_get_id(packet));
-	// return the total length
+
+	/* Return the total length */
 	return (int) length;
 }
 
-int
-tcp_send_message(socket_cores_ref local_sockets, int socket_id, int fragments,
-    size_t *data_fragment_size, int flags)
+int tcp_send_message(socket_cores_ref local_sockets, int socket_id,
+    int fragments, size_t *data_fragment_size, int flags)
 {
 	socket_core_ref socket;
@@ -2155,10 +2170,10 @@
 	assert(data_fragment_size);
 
-	// find the socket
+	/* Find the socket */
 	socket = socket_cores_find(local_sockets, socket_id);
 	if (!socket)
 		return ENOTSOCK;
 
-	// get the socket specific data
+	/* Get the socket specific data */
 	if (!socket->specific_data)
 		return NO_DATA;
@@ -2166,5 +2181,5 @@
 	socket_data = (tcp_socket_data_ref) socket->specific_data;
 
-	// check state
+	/* Check state */
 	if ((socket_data->state != TCP_SOCKET_ESTABLISHED) &&
 	    (socket_data->state != TCP_SOCKET_CLOSE_WAIT))
@@ -2181,5 +2196,5 @@
 
 	for (index = 0; index < fragments; index++) {
-		// read the data fragment
+		/* Read the data fragment */
 		result = tl_socket_read_packet_data(tcp_globals.net_phone,
 		    &packet, TCP_HEADER_SIZE, packet_dimension,
@@ -2189,5 +2204,6 @@
 
 		total_length = (size_t) result;
-		// prefix the tcp header
+
+		/* Prefix the TCP header */
 		header = PACKET_PREFIX(packet, tcp_header_t);
 		if (!header)
@@ -2200,5 +2216,5 @@
 	}
 
-	// flush packets
+	/* Flush packets */
 	packet = tcp_get_packets_to_send(socket, socket_data);
 	fibril_rwlock_write_unlock(socket_data->local_lock);
@@ -2206,5 +2222,5 @@
 
 	if (packet) {
-		// send the packet
+		/* Send the packet */
 		tcp_send_packets(socket_data->device_id, packet);
 	}
@@ -2221,14 +2237,14 @@
 	int rc;
 
-	// find the socket
+	/* Find the socket */
 	socket = socket_cores_find(local_sockets, socket_id);
 	if (!socket)
 		return ENOTSOCK;
 
-	// get the socket specific data
+	/* Get the socket specific data */
 	socket_data = (tcp_socket_data_ref) socket->specific_data;
 	assert(socket_data);
 
-	// check state
+	/* Check state */
 	switch (socket_data->state) {
 	case TCP_SOCKET_ESTABLISHED:
@@ -2243,5 +2259,5 @@
 
 	default:
-		// just destroy
+		/* Just destroy */
 		rc = socket_destroy(tcp_globals.net_phone, socket_id,
 		    local_sockets, &tcp_globals.sockets,
@@ -2254,18 +2270,20 @@
 	}
 
-	// send FIN
-	// TODO should I wait to complete?
-
-	// create the notification packet
+	/*
+	 * Send FIN.
+	 * TODO should I wait to complete?
+	 */
+
+	/* Create the notification packet */
 	rc = tcp_create_notification_packet(&packet, socket, socket_data, 0, 1);
 	if (rc != EOK)
 		return rc;
 
-	// send the packet
+	/* Send the packet */
 	rc = tcp_queue_packet(socket, socket_data, packet, 1);
 	if (rc != EOK)
 		return rc;
 
-	// flush packets
+	/* Flush packets */
 	packet = tcp_get_packets_to_send(socket, socket_data);
 	fibril_rwlock_write_unlock(socket_data->local_lock);
@@ -2273,5 +2291,5 @@
 
 	if (packet) {
-		// send the packet
+		/* Send the packet */
 		tcp_send_packets(socket_data->device_id, packet);
 	}
@@ -2280,6 +2298,5 @@
 }
 
-int
-tcp_create_notification_packet(packet_t *packet, socket_core_ref socket,
+int tcp_create_notification_packet(packet_t *packet, socket_core_ref socket,
     tcp_socket_data_ref socket_data, int synchronize, int finalize)
 {
@@ -2290,5 +2307,5 @@
 	assert(packet);
 
-	// get the device packet dimension
+	/* Get the device packet dimension */
 	rc = tl_get_ip_packet_dimension(tcp_globals.ip_phone,
 	    &tcp_globals.dimensions, socket_data->device_id, &packet_dimension);
@@ -2296,5 +2313,5 @@
 		return rc;
 
-	// get a new packet
+	/* Get a new packet */
 	*packet = packet_get_4_remote(tcp_globals.net_phone, TCP_HEADER_SIZE,
 	    packet_dimension->addr_len, packet_dimension->prefix,
@@ -2304,5 +2321,5 @@
 		return ENOMEM;
 
-	// allocate space in the packet
+	/* Allocate space in the packet */
 	header = PACKET_SUFFIX(*packet, tcp_header_t);
 	if (!header)
@@ -2315,6 +2332,5 @@
 }
 
-int
-tcp_accept_message(socket_cores_ref local_sockets, int socket_id,
+int tcp_accept_message(socket_cores_ref local_sockets, int socket_id,
     int new_socket_id, size_t *data_fragment_size, size_t *addrlen)
 {
@@ -2329,14 +2345,14 @@
 	assert(addrlen);
 
-	// find the socket
+	/* Find the socket */
 	socket = socket_cores_find(local_sockets, socket_id);
 	if (!socket)
 		return ENOTSOCK;
 
-	// get the socket specific data
+	/* Get the socket specific data */
 	socket_data = (tcp_socket_data_ref) socket->specific_data;
 	assert(socket_data);
 
-	// check state
+	/* Check state */
 	if (socket_data->state != TCP_SOCKET_LISTEN)
 		return EINVAL;
@@ -2352,8 +2368,8 @@
 			return ENOTSOCK;
 
-		// get the socket specific data
+		/* Get the socket specific data */
 		socket_data = (tcp_socket_data_ref) accepted->specific_data;
 		assert(socket_data);
-		// TODO can it be in another state?
+		/* TODO can it be in another state? */
 		if (socket_data->state == TCP_SOCKET_ESTABLISHED) {
 			rc = data_reply(socket_data->addr,
@@ -2389,6 +2405,5 @@
 }
 
-void
-tcp_free_socket_data(socket_core_ref socket)
+void tcp_free_socket_data(socket_core_ref socket)
 {
 	tcp_socket_data_ref socket_data;
@@ -2398,8 +2413,9 @@
 	printf("destroy_socket %d\n", socket->socket_id);
 
-	// get the socket specific data
+	/* Get the socket specific data */
 	socket_data = (tcp_socket_data_ref) socket->specific_data;
 	assert(socket_data);
-	//free the pseudo header
+
+	/* Free the pseudo header */
 	if (socket_data->pseudo_header) {
 		if (socket_data->headerlen) {
@@ -2410,6 +2426,8 @@
 		socket_data->pseudo_header = NULL;
 	}
+
 	socket_data->headerlen = 0;
-	// free the address
+
+	/* Free the address */
 	if (socket_data->addr) {
 		if (socket_data->addrlen) {
@@ -2473,5 +2491,5 @@
 
 		/*
-		   Answer the message 
+		 * Answer the message 
 		 */
 		answer_call(callid, res, &answer, answer_count);
Index: uspace/srv/net/tl/tcp/tcp_module.c
===================================================================
--- uspace/srv/net/tl/tcp/tcp_module.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/tl/tcp/tcp_module.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -86,6 +86,5 @@
 }
 
-int
-tl_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
+int tl_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
     ipc_call_t *answer, int *answer_count)
 {
Index: uspace/srv/net/tl/udp/udp.c
===================================================================
--- uspace/srv/net/tl/udp/udp.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/tl/udp/udp.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -130,5 +130,5 @@
 	}
 
-	// read default packet dimensions
+	/* Read default packet dimensions */
 	rc = ip_packet_size_req(udp_globals.ip_phone, -1,
 	    &udp_globals.packet_dimension);
@@ -158,5 +158,5 @@
 	udp_globals.autobinding = NET_DEFAULT_UDP_AUTOBINDING;
 
-	// get configuration
+	/* Get configuration */
 	configuration = &names[0];
 	rc = net_get_conf_req(udp_globals.net_phone, &configuration, count,
@@ -217,6 +217,6 @@
  *			ip_client_process_packet() function.
  */
-static int
-udp_process_packet(device_id_t device_id, packet_t packet, services_t error)
+static int udp_process_packet(device_id_t device_id, packet_t packet,
+    services_t error)
 {
 	size_t length;
@@ -242,7 +242,8 @@
 		break;
 	case SERVICE_ICMP:
-		// ignore error
+		/* Ignore error */
 		// length = icmp_client_header_length(packet);
-		// process error
+
+		/* Process error */
 		result = icmp_client_process_packet(packet, &type,
 		    &code, NULL, NULL);
@@ -258,5 +259,5 @@
 	}
 
-	// TODO process received ipopts?
+	/* TODO process received ipopts? */
 	result = ip_client_process_packet(packet, NULL, NULL, NULL, NULL, NULL);
 	if (result < 0)
@@ -270,15 +271,15 @@
 		return udp_release_and_return(packet, NO_DATA);
 
-	// trim all but UDP header
+	/* Trim all but UDP header */
 	rc = packet_trim(packet, offset, 0);
 	if (rc != EOK)
 		return udp_release_and_return(packet, rc);
 
-	// get udp header
+	/* Get UDP header */
 	header = (udp_header_ref) packet_get_data(packet);
 	if (!header)
 		return udp_release_and_return(packet, NO_DATA);
 
-	// find the destination socket
+	/* Find the destination socket */
 	socket = socket_port_find(&udp_globals.sockets,
 	ntohs(header->destination_port), SOCKET_MAP_KEY_LISTENING, 0);
@@ -292,10 +293,10 @@
 	}
 
-	// count the received packet fragments
+	/* Count the received packet fragments */
 	next_packet = packet;
 	fragments = 0;
 	total_length = ntohs(header->total_length);
 
-	// compute header checksum if set
+	/* Compute header checksum if set */
 	if (header->checksum && !error) {
 		result = packet_get_addr(packet, (uint8_t **) &src,
@@ -310,6 +311,8 @@
 		} else {
 			checksum = compute_checksum(0, ip_header, length);
-			// the udp header checksum will be added with the first
-			// fragment later
+			/*
+			 * The udp header checksum will be added with the first
+			 * fragment later.
+			 */
 			free(ip_header);
 		}
@@ -330,5 +333,5 @@
 				return udp_release_and_return(packet, rc);
 
-			// add partial checksum if set
+			/* Add partial checksum if set */
 			if (header->checksum) {
 				checksum = compute_checksum(checksum,
@@ -337,5 +340,5 @@
 			}
 
-			// relese the rest of the packet fragments
+			/* Relese the rest of the packet fragments */
 			tmp_packet = pq_next(next_packet);
 			while (tmp_packet) {
@@ -346,10 +349,10 @@
 			}
 
-			// exit the loop
+			/* Exit the loop */
 			break;
 		}
 		total_length -= length;
 
-		// add partial checksum if set
+		/* Add partial checksum if set */
 		if (header->checksum) {
 			checksum = compute_checksum(checksum,
@@ -360,5 +363,5 @@
 	} while ((next_packet = pq_next(next_packet)) && (total_length > 0));
 
-	// check checksum
+	/* Verify checksum */
 	if (header->checksum) {
 		if (flip_checksum(compact_checksum(checksum)) !=
@@ -366,5 +369,5 @@
 			if (tl_prepare_icmp_packet(udp_globals.net_phone,
 			    udp_globals.icmp_phone, packet, error) == EOK) {
-				// checksum error ICMP
+				/* Checksum error ICMP */
 				icmp_parameter_problem_msg(
 				    udp_globals.icmp_phone, ICMP_PARAM_POINTER,
@@ -376,5 +379,5 @@
 	}
 
-	// queue the received packet
+	/* Queue the received packet */
 	rc = dyn_fifo_push(&socket->received, packet_get_id(packet),
 	    SOCKET_MAX_RECEIVED_SIZE);
@@ -387,5 +390,5 @@
 		return udp_release_and_return(packet, rc);
 
-	// notify the destination socket
+	/* Notify the destination socket */
 	fibril_rwlock_write_unlock(&udp_globals.lock);
 	async_msg_5(socket->phone, NET_SOCKET_RECEIVED,
@@ -410,7 +413,6 @@
  *			udp_process_packet() function.
  */
-static int
-udp_received_msg(device_id_t device_id, packet_t packet, services_t receiver,
-    services_t error)
+static int udp_received_msg(device_id_t device_id, packet_t packet,
+    services_t receiver, services_t error)
 {
 	int result;
@@ -451,6 +453,5 @@
  *			function.
  */
-static int
-udp_sendto_message(socket_cores_ref local_sockets, int socket_id,
+static int udp_sendto_message(socket_cores_ref local_sockets, int socket_id,
     const struct sockaddr *addr, socklen_t addrlen, int fragments,
     size_t *data_fragment_size, int flags)
@@ -480,5 +481,5 @@
 
 	if ((socket->port <= 0) && udp_globals.autobinding) {
-		// bind the socket to a random free port if not bound
+		/* Bind the socket to a random free port if not bound */
 		rc = socket_bind_free_port(&udp_globals.sockets, socket,
 		    UDP_FREE_PORTS_START, UDP_FREE_PORTS_END,
@@ -486,5 +487,5 @@
 		if (rc != EOK)
 			return rc;
-		// set the next port as the search starting port number
+		/* Set the next port as the search starting port number */
 		udp_globals.last_used_port = socket->port;
 	}
@@ -495,5 +496,5 @@
 		if (rc != EOK)
 			return rc;
-		// get the device packet dimension
+		/* Get the device packet dimension */
 //		rc = tl_get_ip_packet_dimension(udp_globals.ip_phone,
 //		    &udp_globals.dimensions, device_id, &packet_dimension);
@@ -502,5 +503,5 @@
 	}
 //	} else {
-		// do not ask all the time
+		/* Do not ask all the time */
 		rc = ip_packet_size_req(udp_globals.ip_phone, -1,
 		    &udp_globals.packet_dimension);
@@ -510,5 +511,5 @@
 //	}
 
-	// read the first packet fragment
+	/* Read the first packet fragment */
 	result = tl_socket_read_packet_data(udp_globals.net_phone, &packet,
 	    UDP_HEADER_SIZE, packet_dimension, addr, addrlen);
@@ -523,5 +524,5 @@
 		checksum = 0;
 
-	// prefix the udp header
+	/* Prefix the UDP header */
 	header = PACKET_PREFIX(packet, udp_header_t);
 	if (!header)
@@ -529,5 +530,6 @@
 
 	bzero(header, sizeof(*header));
-	// read the rest of the packet fragments
+
+	/* Read the rest of the packet fragments */
 	for (index = 1; index < fragments; index++) {
 		result = tl_socket_read_packet_data(udp_globals.net_phone,
@@ -548,11 +550,12 @@
 	}
 
-	// set the udp header
+	/* Set the UDP header */
 	header->source_port = htons((socket->port > 0) ? socket->port : 0);
 	header->destination_port = htons(dest_port);
 	header->total_length = htons(total_length + sizeof(*header));
 	header->checksum = 0;
+
 	if (udp_globals.checksum_computing) {
-		// update the pseudo header
+		/* Update the pseudo header */
 		rc = ip_client_set_pseudo_header_data_length(ip_header,
 		    headerlen, total_length + UDP_HEADER_SIZE);
@@ -562,5 +565,5 @@
 		}
 
-		// finish the checksum computation
+		/* Finish the checksum computation */
 		checksum = compute_checksum(checksum, ip_header, headerlen);
 		checksum = compute_checksum(checksum, (uint8_t *) header,
@@ -573,5 +576,5 @@
 	}
 
-	// prepare the first packet fragment
+	/* Prepare the first packet fragment */
 	rc = ip_client_prepare_packet(packet, IPPROTO_UDP, 0, 0, 0, 0);
 	if (rc != EOK)
@@ -581,5 +584,5 @@
 	fibril_rwlock_write_unlock(&udp_globals.lock);
 
-	// send the packet
+	/* Send the packet */
 	ip_send_msg(udp_globals.ip_phone, device_id, packet, SERVICE_UDP, 0);
 
@@ -606,7 +609,6 @@
  *			function.
  */
-static int
-udp_recvfrom_message(socket_cores_ref local_sockets, int socket_id, int flags,
-    size_t *addrlen)
+static int udp_recvfrom_message(socket_cores_ref local_sockets, int socket_id,
+    int flags, size_t *addrlen)
 {
 	socket_core_ref socket;
@@ -620,10 +622,10 @@
 	int rc;
 
-	// find the socket
+	/* Find the socket */
 	socket = socket_cores_find(local_sockets, socket_id);
 	if (!socket)
 		return ENOTSOCK;
 
-	// get the next received packet
+	/* Get the next received packet */
 	packet_id = dyn_fifo_value(&socket->received);
 	if (packet_id < 0)
@@ -636,5 +638,5 @@
 	}
 
-	// get udp header
+	/* Get UDP header */
 	data = packet_get_data(packet);
 	if (!data) {
@@ -644,5 +646,5 @@
 	header = (udp_header_ref) data;
 
-	// set the source address port
+	/* Set the source address port */
 	result = packet_get_addr(packet, (uint8_t **) &addr, NULL);
 	rc = tl_set_address_port(addr, result, ntohs(header->source_port));
@@ -653,5 +655,5 @@
 	*addrlen = (size_t) result;
 
-	// send the source address
+	/* Send the source address */
 	rc = data_reply(addr, *addrlen);
 	switch (rc) {
@@ -665,5 +667,5 @@
 	}
 
-	// trim the header
+	/* Trim the header */
 	rc = packet_trim(packet, UDP_HEADER_SIZE, 0);
 	if (rc != EOK) {
@@ -672,5 +674,5 @@
 	}
 
-	// reply the packets
+	/* Reply the packets */
 	rc = socket_reply_packets(packet, &length);
 	switch (rc) {
@@ -686,5 +688,5 @@
 	(void) dyn_fifo_pop(&socket->received);
 
-	// release the packet and return the total length
+	/* Release the packet and return the total length */
 	return udp_release_and_return(packet, (int) length);
 }
@@ -721,6 +723,8 @@
 	answer_count = 0;
 
-	// The client connection is only in one fibril and therefore no
-	// additional locks are needed.
+	/*
+	 * The client connection is only in one fibril and therefore no
+	 * additional locks are needed.
+	 */
 
 	socket_cores_initialize(&local_sockets);
@@ -728,14 +732,14 @@
 	while (keep_on_going) {
 
-		// answer the call
+		/* Answer the call */
 		answer_call(callid, res, &answer, answer_count);
 
-		// refresh data
+		/* Refresh data */
 		refresh_answer(&answer, &answer_count);
 
-		// get the next call
+		/* Get the next call */
 		callid = async_get_call(&call);
 
-		// process the call
+		/* Process the call */
 		switch (IPC_GET_METHOD(call)) {
 		case IPC_M_PHONE_HUNGUP:
@@ -831,8 +835,8 @@
 	}
 
-	// release the application phone
+	/* Release the application phone */
 	ipc_hangup(app_phone);
 
-	// release all local sockets
+	/* Release all local sockets */
 	socket_cores_release(udp_globals.net_phone, &local_sockets,
 	    &udp_globals.sockets, NULL);
@@ -854,6 +858,5 @@
  * @see IS_NET_UDP_MESSAGE()
  */
-int
-udp_message_standalone(ipc_callid_t callid, ipc_call_t *call,
+int udp_message_standalone(ipc_callid_t callid, ipc_call_t *call,
     ipc_call_t *answer, int *answer_count)
 {
Index: uspace/srv/net/tl/udp/udp_module.c
===================================================================
--- uspace/srv/net/tl/udp/udp_module.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/net/tl/udp/udp_module.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -86,6 +86,5 @@
 }
 
-int
-tl_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
+int tl_module_message_standalone(ipc_callid_t callid, ipc_call_t *call,
     ipc_call_t *answer, int *answer_count)
 {
Index: uspace/srv/vfs/vfs.h
===================================================================
--- uspace/srv/vfs/vfs.h	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/vfs/vfs.h	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -62,5 +62,5 @@
 #define VFS_PAIR \
 	fs_handle_t fs_handle; \
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 
 /**
@@ -68,5 +68,5 @@
  * doesn't contain any state. For a stateful structure, see vfs_node_t.
  *
- * @note	fs_handle, dev_handle and index are meant to be returned in one
+ * @note	fs_handle, devmap_handle and index are meant to be returned in one
  *		IPC reply.
  */
@@ -182,5 +182,5 @@
 extern void vfs_node_put(vfs_node_t *);
 extern void vfs_node_forget(vfs_node_t *);
-extern unsigned vfs_nodes_refcount_sum_get(fs_handle_t, dev_handle_t);
+extern unsigned vfs_nodes_refcount_sum_get(fs_handle_t, devmap_handle_t);
 
 
Index: uspace/srv/vfs/vfs_lookup.c
===================================================================
--- uspace/srv/vfs/vfs_lookup.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/vfs/vfs_lookup.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -163,5 +163,5 @@
 	aid_t req = async_send_5(phone, VFS_OUT_LOOKUP, (ipcarg_t) first,
 	    (ipcarg_t) (first + len - 1) % PLB_SIZE,
-	    (ipcarg_t) root->dev_handle, (ipcarg_t) lflag, (ipcarg_t) index,
+	    (ipcarg_t) root->devmap_handle, (ipcarg_t) lflag, (ipcarg_t) index,
 	    &answer);
 	
@@ -183,5 +183,5 @@
 	
 	result->triplet.fs_handle = (fs_handle_t) rc;
-	result->triplet.dev_handle = (dev_handle_t) IPC_GET_ARG1(answer);
+	result->triplet.devmap_handle = (devmap_handle_t) IPC_GET_ARG1(answer);
 	result->triplet.index = (fs_index_t) IPC_GET_ARG2(answer);
 	result->size =
@@ -210,5 +210,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_2(phone, VFS_OUT_OPEN_NODE,
-	    (ipcarg_t) result->triplet.dev_handle,
+	    (ipcarg_t) result->triplet.devmap_handle,
 	    (ipcarg_t) result->triplet.index, &answer);
 	
Index: uspace/srv/vfs/vfs_node.c
===================================================================
--- uspace/srv/vfs/vfs_node.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/vfs/vfs_node.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -113,5 +113,5 @@
 		unsigned long key[] = {
 			[KEY_FS_HANDLE] = node->fs_handle,
-			[KEY_DEV_HANDLE] = node->dev_handle,
+			[KEY_DEV_HANDLE] = node->devmap_handle,
 			[KEY_INDEX] = node->index
 		};
@@ -131,5 +131,5 @@
 		ipcarg_t rc;
 		rc = async_req_2_0(phone, VFS_OUT_DESTROY,
-		    (ipcarg_t)node->dev_handle, (ipcarg_t)node->index);
+		    (ipcarg_t)node->devmap_handle, (ipcarg_t)node->index);
 		assert(rc == EOK);
 		vfs_release_phone(node->fs_handle, phone);
@@ -151,5 +151,5 @@
 	unsigned long key[] = {
 		[KEY_FS_HANDLE] = node->fs_handle,
-		[KEY_DEV_HANDLE] = node->dev_handle,
+		[KEY_DEV_HANDLE] = node->devmap_handle,
 		[KEY_INDEX] = node->index
 	};
@@ -175,5 +175,5 @@
 	unsigned long key[] = {
 		[KEY_FS_HANDLE] = result->triplet.fs_handle,
-		[KEY_DEV_HANDLE] = result->triplet.dev_handle,
+		[KEY_DEV_HANDLE] = result->triplet.devmap_handle,
 		[KEY_INDEX] = result->triplet.index
 	};
@@ -191,5 +191,5 @@
 		memset(node, 0, sizeof(vfs_node_t));
 		node->fs_handle = result->triplet.fs_handle;
-		node->dev_handle = result->triplet.dev_handle;
+		node->devmap_handle = result->triplet.devmap_handle;
 		node->index = result->triplet.index;
 		node->size = result->size;
@@ -243,5 +243,5 @@
 	vfs_node_t *node = hash_table_get_instance(item, vfs_node_t, nh_link);
 	return (node->fs_handle == (fs_handle_t) key[KEY_FS_HANDLE]) &&
-	    (node->dev_handle == key[KEY_DEV_HANDLE]) &&
+	    (node->devmap_handle == key[KEY_DEV_HANDLE]) &&
 	    (node->index == key[KEY_INDEX]);
 }
@@ -255,5 +255,5 @@
 	unsigned refcnt;
 	fs_handle_t fs_handle;
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 };
 
@@ -264,15 +264,15 @@
 
 	if ((node->fs_handle == rd->fs_handle) &&
-	    (node->dev_handle == rd->dev_handle))
+	    (node->devmap_handle == rd->devmap_handle))
 		rd->refcnt += node->refcnt;
 }
 
 unsigned
-vfs_nodes_refcount_sum_get(fs_handle_t fs_handle, dev_handle_t dev_handle)
+vfs_nodes_refcount_sum_get(fs_handle_t fs_handle, devmap_handle_t devmap_handle)
 {
 	struct refcnt_data rd = {
 		.refcnt = 0,
 		.fs_handle = fs_handle,
-		.dev_handle = dev_handle
+		.devmap_handle = devmap_handle
 	};
 
Index: uspace/srv/vfs/vfs_ops.c
===================================================================
--- uspace/srv/vfs/vfs_ops.c	(revision 69e0d6d76d229cc73c6c8a11802d5f2e93167ca4)
+++ uspace/srv/vfs/vfs_ops.c	(revision cb569e62113a2d98fcd62f99a984ae74d5329acf)
@@ -55,5 +55,5 @@
 
 /* Forward declarations of static functions. */
-static int vfs_truncate_internal(fs_handle_t, dev_handle_t, fs_index_t, aoff64_t);
+static int vfs_truncate_internal(fs_handle_t, devmap_handle_t, fs_index_t, aoff64_t);
 
 /**
@@ -65,8 +65,8 @@
 vfs_pair_t rootfs = {
 	.fs_handle = 0,
-	.dev_handle = 0
+	.devmap_handle = 0
 };
 
-static void vfs_mount_internal(ipc_callid_t rid, dev_handle_t dev_handle,
+static void vfs_mount_internal(ipc_callid_t rid, devmap_handle_t devmap_handle,
     fs_handle_t fs_handle, char *mp, char *opts)
 {
@@ -125,5 +125,5 @@
 			phone = vfs_grab_phone(fs_handle);
 			msg = async_send_1(phone, VFS_OUT_MOUNTED,
-			    (ipcarg_t) dev_handle, &answer);
+			    (ipcarg_t) devmap_handle, &answer);
 			/* send the mount options */
 			rc = async_data_write_start(phone, (void *)opts,
@@ -150,5 +150,5 @@
 			
 			mr_res.triplet.fs_handle = fs_handle;
-			mr_res.triplet.dev_handle = dev_handle;
+			mr_res.triplet.devmap_handle = devmap_handle;
 			mr_res.triplet.index = rindex;
 			mr_res.size = rsize;
@@ -157,5 +157,5 @@
 			
 			rootfs.fs_handle = fs_handle;
-			rootfs.dev_handle = dev_handle;
+			rootfs.devmap_handle = devmap_handle;
 			
 			/* Add reference to the mounted root. */
@@ -187,8 +187,8 @@
 	phone = vfs_grab_phone(mp_res.triplet.fs_handle);
 	msg = async_send_4(phone, VFS_OUT_MOUNT,
-	    (ipcarg_t) mp_res.triplet.dev_handle,
+	    (ipcarg_t) mp_res.triplet.devmap_handle,
 	    (ipcarg_t) mp_res.triplet.index,
 	    (ipcarg_t) fs_handle,
-	    (ipcarg_t) dev_handle, &answer);
+	    (ipcarg_t) devmap_handle, &answer);
 	
 	/* send connection */
@@ -229,5 +229,5 @@
 	
 		mr_res.triplet.fs_handle = fs_handle;
-		mr_res.triplet.dev_handle = dev_handle;
+		mr_res.triplet.devmap_handle = devmap_handle;
 		mr_res.triplet.index = rindex;
 		mr_res.size = rsize;
@@ -255,5 +255,5 @@
 	 * in the request.
 	 */
-	dev_handle_t dev_handle = (dev_handle_t) IPC_GET_ARG1(*request);
+	devmap_handle_t devmap_handle = (devmap_handle_t) IPC_GET_ARG1(*request);
 	
 	/*
@@ -343,5 +343,5 @@
 	
 	/* Do the mount */
-	vfs_mount_internal(rid, dev_handle, fs_handle, mp, opts);
+	vfs_mount_internal(rid, devmap_handle, fs_handle, mp, opts);
 	free(mp);
 	free(fs_name);
@@ -402,5 +402,5 @@
 	 */
 	if (vfs_nodes_refcount_sum_get(mr_node->fs_handle,
-	    mr_node->dev_handle) != 2) {
+	    mr_node->devmap_handle) != 2) {
 		fibril_rwlock_write_unlock(&namespace_rwlock);
 		vfs_node_put(mr_node);
@@ -422,5 +422,5 @@
 		phone = vfs_grab_phone(mr_node->fs_handle);
 		rc = async_req_1_0(phone, VFS_OUT_UNMOUNTED,
-		    mr_node->dev_handle);
+		    mr_node->devmap_handle);
 		vfs_release_phone(mr_node->fs_handle, phone);
 		if (rc != EOK) {
@@ -431,5 +431,5 @@
 		}
 		rootfs.fs_handle = 0;
-		rootfs.dev_handle = 0;
+		rootfs.devmap_handle = 0;
 	} else {
 
@@ -458,5 +458,5 @@
 
 		phone = vfs_grab_phone(mp_node->fs_handle);
-		rc = async_req_2_0(phone, VFS_OUT_UNMOUNT, mp_node->dev_handle,
+		rc = async_req_2_0(phone, VFS_OUT_UNMOUNT, mp_node->devmap_handle,
 		    mp_node->index);
 		vfs_release_phone(mp_node->fs_handle, phone);
@@ -569,5 +569,5 @@
 		if (node->size) {
 			rc = vfs_truncate_internal(node->fs_handle,
-			    node->dev_handle, node->index, 0);
+			    node->devmap_handle, node->index, 0);
 			if (rc) {
 				fibril_rwlock_write_unlock(&node->contents_rwlock);
@@ -626,5 +626,5 @@
 	
 	lr.triplet.fs_handle = IPC_GET_ARG1(*request);
-	lr.triplet.dev_handle = IPC_GET_ARG2(*request);
+	lr.triplet.devmap_handle = IPC_GET_ARG2(*request);
 	lr.triplet.index = IPC_GET_ARG3(*request);
 	int oflag = IPC_GET_ARG4(*request);
@@ -647,5 +647,5 @@
 		if (node->size) {
 			rc = vfs_truncate_internal(node->fs_handle,
-			    node->dev_handle, node->index, 0);
+			    node->devmap_handle, node->index, 0);
 			if (rc) {
 				fibril_rwlock_write_unlock(&node->contents_rwlock);
@@ -709,5 +709,5 @@
 	aid_t msg;
 	ipc_call_t answer;
-	msg = async_send_2(fs_phone, VFS_OUT_SYNC, file->node->dev_handle,
+	msg = async_send_2(fs_phone, VFS_OUT_SYNC, file->node->devmap_handle,
 	    file->node->index, &answer);
 
@@ -740,5 +740,5 @@
 		aid_t msg;
 		ipc_call_t answer;
-		msg = async_send_2(fs_phone, VFS_OUT_CLOSE, file->node->dev_handle,
+		msg = async_send_2(fs_phone, VFS_OUT_CLOSE, file->node->devmap_handle,
 		    file->node->index, &answer);
 		
@@ -838,9 +838,9 @@
 		
 		rc = async_data_read_forward_3_1(fs_phone, VFS_OUT_READ,
-		    file->node->dev_handle, file->node->index, file->pos,
+		    file->node->devmap_handle, file->node->index, file->pos,
 		    &answer);
 	} else {
 		rc = async_data_write_forward_3_1(fs_phone, VFS_OUT_WRITE,
-		    file->node->dev_handle, file->node->index, file->pos,
+		    file->node->devmap_handle, file->node->index, file->pos,
 		    &answer);
 	}
@@ -961,5 +961,5 @@
 }
 
-int vfs_truncate_internal(fs_handle_t fs_handle, dev_handle_t dev_handle,
+int vfs_truncate_internal(fs_handle_t fs_handle, devmap_handle_t devmap_handle,
     fs_index_t index, aoff64_t size)
 {
@@ -968,5 +968,5 @@
 	
 	fs_phone = vfs_grab_phone(fs_handle);
-	rc = async_req_4_0(fs_phone, VFS_OUT_TRUNCATE, (ipcarg_t) dev_handle,
+	rc = async_req_4_0(fs_phone, VFS_OUT_TRUNCATE, (ipcarg_t) devmap_handle,
 	    (ipcarg_t) index, LOWER32(size), UPPER32(size));
 	vfs_release_phone(fs_handle, fs_phone);
@@ -990,5 +990,5 @@
 	fibril_rwlock_write_lock(&file->node->contents_rwlock);
 	rc = vfs_truncate_internal(file->node->fs_handle,
-	    file->node->dev_handle, file->node->index, size);
+	    file->node->devmap_handle, file->node->index, size);
 	if (rc == EOK)
 		file->node->size = size;
@@ -1022,5 +1022,5 @@
 	
 	aid_t msg;
-	msg = async_send_3(fs_phone, VFS_OUT_STAT, file->node->dev_handle,
+	msg = async_send_3(fs_phone, VFS_OUT_STAT, file->node->devmap_handle,
 	    file->node->index, true, NULL);
 	ipc_forward_fast(callid, fs_phone, 0, 0, 0, IPC_FF_ROUTE_FROM_ME);
@@ -1071,5 +1071,5 @@
 	int fs_phone = vfs_grab_phone(node->fs_handle);
 	aid_t msg;
-	msg = async_send_3(fs_phone, VFS_OUT_STAT, node->dev_handle,
+	msg = async_send_3(fs_phone, VFS_OUT_STAT, node->devmap_handle,
 	    node->index, false, NULL);
 	ipc_forward_fast(callid, fs_phone, 0, 0, 0, IPC_FF_ROUTE_FROM_ME);
@@ -1245,5 +1245,5 @@
 	/* Check whether linking to the same file system instance. */
 	if ((old_node->fs_handle != new_par_lr.triplet.fs_handle) ||
-	    (old_node->dev_handle != new_par_lr.triplet.dev_handle)) {
+	    (old_node->devmap_handle != new_par_lr.triplet.devmap_handle)) {
 		fibril_rwlock_write_unlock(&namespace_rwlock);
 		ipc_answer_0(rid, EXDEV);	/* different file systems */
